#Простым называется число, которое делится нацело только на единицу и само себя. Число 1 не считается простым.
# Напишите программу, которая находит все простые числа в заданном промежутке, выводит их на экран,
# а затем по требованию пользователя выводит их сумму либо произведение.
a = 25 #int(input("Введите первое число"))
b = 0 #int(input("Введите второе число"))
result = []

for i in range(2, a):
    for j in range(2, i):
        print(f"{i} % {j} = {i % j}")
        if i % j == 0:
            break
    else:
        result.append(i)
        print(i)
print(result)
comm = input(" Выводит их сумму = 1\n Либо произведение = 2\n")
if comm == "1":
    print(sum(result))
elif comm == "2":
    s = 1
    for r in result:
        s *= r
    print(s)





